Package org.apache.ignite.lifecycle

## Interface LifecycleAware

All Known Subinterfaces:
  `PageEvictionTracker`

All Known Implementing Classes:
  `CacheAbstractJdbcStore`, `CacheJdbcPojoStore`, `CacheJdbcStoreSessionListener`, `FairFifoPageEvictionTracker`, `GridCacheWriteBehindStore`, `GridLoggerProxy`, `GridTcpRouterImpl`, `NoOpPageEvictionTracker`, `PageAbstractEvictionTracker`, `PageLockTrackerManager`, `PlatformAffinityFunction`, `PlatformDotNetAffinityFunction`, `PlatformDotNetCacheStore`, `Random2LruPageEvictionTracker`, `RandomLruPageEvictionTracker`

    public interface LifecycleAware

All components provided in Ignite configuration can implement this interface. If a component implements this interface, then method `start()` will be called during grid startup and `stop()` will be called during stop.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `start()` Starts grid component, called on grid start.
`void` `stop()` Stops grid component, called on grid shutdown.

### Method Detail

#### start

    void start()
        throws IgniteException

Starts grid component, called on grid start.

Throws:
  `IgniteException` - If failed.

#### stop

    void stop()
       throws IgniteException

Stops grid component, called on grid shutdown.

Throws:
  `IgniteException` - If failed.